petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSSetMaxSNESFailures

Sets the maximum number of failed SNES solves

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxSNESFailures(TS ts,PetscInt fails)

Not Collective

### Input Parameter

| ts | - TS context
| fails | - maximum number of failed nonlinear solves, pass -1 for unlimited

### Notes

The counter is reset to zero for each successive call to TSSolve().

### Options Database Key

. -ts_max_snes_failures - Maximum number of nonlinear solve failures

### Keywords

TS, set, maximum, number

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxStepRejections(), TSGetStepRejections(), TSGetSNESFailures(), SNESGetConvergedReason(), TSGetConvergedReason()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/extchem.c.html